apiVersion: v1
kind: Service
metadata:
  name: {{ include "dashboard-cpms.fullname" . }}
  labels:
    {{- include "dashboard-cpms.labels" . | nindent 4 }}
  annotations:
    networking.gke.io/load-balancer-type: "Internal"
spec:
  type: {{ .Values.service.type }}
  loadBalancerIP: {{ .Values.service.loadbalancerip }}
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: {{ .Values.service.targetPort }}
      protocol: TCP
      name: http
  selector:
    {{- include "dashboard-cpms.selectorLabels" . | nindent 4 }}
